Quantcast

libftdi1-1.1 & libusb 1.0.19 breaks Context::open

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

libftdi1-1.1 & libusb 1.0.19 breaks Context::open

v4hn
Hey everyone,

thank you for the libftdi1 library. It (usually) works really great
and I use it to control the motors of a mobile robot base via
https://github.com/jspricke/epos2_motor_controller

Sadly, this setup stopped working with a more current version of libusb.
(Also the one present in Ubuntu 14.04)
My code tells me (after libftdi1's Context::open/2 function failed)
there are no FTDI-devices connected. (after successfully opening the device once...)

The actual problem I ran into got fixed back in May already. (bc3841238bac9cb6955848fd661bbf19a5ed42c6)
However, there has been no new release since then.

This issue breaks Context::open and libftdipp1 is at the moment pretty much unusable
without both Jochen's package-config patch (the library was misspelled) and the commit I referenced.
It would be great to see these fixes reviewed/released in the near future!

Best,


v4hn

attachment0 (836 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: libftdi1-1.1 & libusb 1.0.19 breaks Context::open

Thomas Jarosch
Hi v4hn,

On Monday, 1. September 2014 18:50:44 v4hn wrote:

> thank you for the libftdi1 library. It (usually) works really great
> and I use it to control the motors of a mobile robot base via
> https://github.com/jspricke/epos2_motor_controller
>
> Sadly, this setup stopped working with a more current version of libusb.
> (Also the one present in Ubuntu 14.04)
> My code tells me (after libftdi1's Context::open/2 function failed)
> there are no FTDI-devices connected. (after successfully opening the
> device once...)
>
> The actual problem I ran into got fixed back in May already.
> (bc3841238bac9cb6955848fd661bbf19a5ed42c6) However, there has been no new
> release since then.
>
> This issue breaks Context::open and libftdipp1 is at the moment pretty
> much unusable without both Jochen's package-config patch (the library was
> misspelled) and the commit I referenced. It would be great to see these
> fixes reviewed/released in the near future!
given the nature of this problem, we should have a release more or less
soonish. I can't make any promises, but the end of September sounds like an
achievable date.

Cheers,
Thomas

signature.asc (188 bytes) Download Attachment
Loading...